libzypp 17.37.10

MediaInfoDownloader.h File Reference
`#include <zypp/Url.h>`
`#include <zypp/Pathname.h>`
`#include <zypp/Fetcher.h>`
`#include <zypp-core/OnMediaLocation>`
`#include <zypp/MediaSetAccess.h>`
`#include <zypp-core/ui/ProgressData>`

Go to the source code of this file.

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::repo

## Functions
void | zypp::repo::downloadMediaInfo (const Pathname &dest_dir, MediaSetAccess &media, const ProgressData::ReceiverFnc &progress=ProgressData::ReceiverFnc())
| Downloads the media info (/media.1) to a local directory.